package de.viper.survivalplus.util;

import de.viper.survivalplus.SurvivalPlus;

import java.util.Arrays;
import java.util.List;

public class BannerManager {
    private final SurvivalPlus plugin;

    public BannerManager(SurvivalPlus plugin) {
        this.plugin = plugin;
    }

    public void displayConsoleBanner() {
        String version = plugin.getDescription().getVersion();
        List<String> banner = Arrays.asList(
            "******************************",
            "*    SurvivalPlus " + version + "      *",
            "*                            *",
            "*        M_Viper             *",
            "******************************"
        );
        for (String line : banner) {
            plugin.getLogger().info(line);
        }
    }
}